//
//  BackgroundTrackerViewController.m
//  BackgroundTracker
//
//  Created by John Abeel on 7/26/11.
//  Copyright 2011 Wakefield School. All rights reserved.
//

#import "BackgroundTrackerViewController.h"

@implementation BackgroundTrackerViewController
@synthesize startTrackingButton;
@synthesize locationManager;
@synthesize alertLabel;

- (void)locationManager:(CLLocationManager *)manager didUpdateToLocation:(CLLocation *)newLocation fromLocation:(CLLocation *)oldLocation {
    
    CLLocationCoordinate2D currentCoordinates = newLocation.coordinate;
    
    [alertLabel setText:@"Location Has been found"];
    [alertLabel setHidden:NO];
    
    NSLog(@"Entered new Location with the coordinates Latitude: %f Longitude: %f", currentCoordinates.latitude, currentCoordinates.longitude);
}

- (void)locationManager:(CLLocationManager *)manager didFailWithError:(NSError *)error {
    NSLog(@"Unable to start location manager. Error:%@", [error description]);
    
    [alertLabel setHidden:NO];
}

- (IBAction)startTracking:(id)sender {    
    [locationManager startUpdatingLocation];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
    [super viewDidLoad];
    
    locationManager = [[CLLocationManager alloc] init];
    [locationManager setDelegate:self];
    //Only applies when in foreground otherwise it is very significant changes
    [locationManager setDesiredAccuracy:kCLLocationAccuracyBest];
    
    NSDate *date = [NSDate date];
    
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyy-mm-dd hh:mm:ss"];
    NSString *string = [dateFormatter stringFromDate:date];
    
    [dateFormatter release];
    
    dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyy-mm-dd hh:mm:ss"];
    NSDate *date_formatted = [dateFormatter dateFromString:string];
    
    NSLog(@"%@", [date_formatted description]);
}

- (void)viewDidUnload
{
    [super viewDidUnload];

    
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
